Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# needed for building on el6


%global enable_tests 1
%global srcname har-validator

%global commit0 a71163c62b8786a41d503248fb60893598f3c26f
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global owner ahmadnassri

Name:           nodejs-%{srcname}
Version:        2.0.3
Release:        alt1_8
Summary:        Extremely fast HTTP Archive (HAR) validator using JSON Schema
License:        ISC
URL:            https://github.com/%{owner}/%{srcname}
Source0:        https://github.com/%{owner}/%{srcname}/archive/%{commit0}.tar.gz#/%{srcname}-%{shortcommit0}.tar.gz
# https://github.com/ahmadnassri/har-validator/pull/15
Patch0:         nodejs-har-validator-should8.patch

BuildArch:      noarch

%if 0%{?rhel} == 6
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%else
%endif

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(require-directory)
BuildRequires:  npm(pinkie-promise)
BuildRequires:  npm(is-my-json-valid)
BuildRequires:  npm(should) >= 8.0.0
%endif
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n %{srcname}-%{commit0}
%patch0 -p1
rm -rf node_modules

%nodejs_fixdep chalk
%nodejs_fixdep commander '2.x'

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json lib/ bin/ \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{srcname}/bin/har-validator \
    %{buildroot}%{_bindir}/har-validator

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha
%endif

%files
%{!?_licensedir:%global license %doc}
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{srcname}
%{_bindir}/har-validator

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_8
- new version

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt0.1.njs.bootstrap
- bootstrap

